{
  "name": "@jupyterlab/metapackage",
  "version": "4.0.11",
  "description": "JupyterLab - Meta Package.  All of the packages used by the core JupyterLab application",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": false,
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/*.d.ts",
    "lib/*.js.map",
    "lib/*.js",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:all": "npm run build",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "node build-doc-index.js",
    "test": "jest",
    "test:cov": "jest --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@jupyterlab/application": "^4.0.11",
    "@jupyterlab/application-extension": "^4.0.11",
    "@jupyterlab/apputils": "^4.1.11",
    "@jupyterlab/apputils-extension": "^4.0.11",
    "@jupyterlab/attachments": "^4.0.11",
    "@jupyterlab/cell-toolbar": "^4.0.11",
    "@jupyterlab/cell-toolbar-extension": "^4.0.11",
    "@jupyterlab/cells": "^4.0.11",
    "@jupyterlab/celltags-extension": "^4.0.11",
    "@jupyterlab/codeeditor": "^4.0.11",
    "@jupyterlab/codemirror": "^4.0.11",
    "@jupyterlab/codemirror-extension": "^4.0.11",
    "@jupyterlab/completer": "^4.0.11",
    "@jupyterlab/completer-extension": "^4.0.11",
    "@jupyterlab/console": "^4.0.11",
    "@jupyterlab/console-extension": "^4.0.11",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/csvviewer": "^4.0.11",
    "@jupyterlab/csvviewer-extension": "^4.0.11",
    "@jupyterlab/debugger": "^4.0.11",
    "@jupyterlab/debugger-extension": "^4.0.11",
    "@jupyterlab/docmanager": "^4.0.11",
    "@jupyterlab/docmanager-extension": "^4.0.11",
    "@jupyterlab/docregistry": "^4.0.11",
    "@jupyterlab/documentsearch": "^4.0.11",
    "@jupyterlab/documentsearch-extension": "^4.0.11",
    "@jupyterlab/extensionmanager": "^4.0.11",
    "@jupyterlab/extensionmanager-extension": "^4.0.11",
    "@jupyterlab/filebrowser": "^4.0.11",
    "@jupyterlab/filebrowser-extension": "^4.0.11",
    "@jupyterlab/fileeditor": "^4.0.11",
    "@jupyterlab/fileeditor-extension": "^4.0.11",
    "@jupyterlab/help-extension": "^4.0.11",
    "@jupyterlab/htmlviewer": "^4.0.11",
    "@jupyterlab/htmlviewer-extension": "^4.0.11",
    "@jupyterlab/hub-extension": "^4.0.11",
    "@jupyterlab/imageviewer": "^4.0.11",
    "@jupyterlab/imageviewer-extension": "^4.0.11",
    "@jupyterlab/inspector": "^4.0.11",
    "@jupyterlab/inspector-extension": "^4.0.11",
    "@jupyterlab/javascript-extension": "^4.0.11",
    "@jupyterlab/json-extension": "^4.0.11",
    "@jupyterlab/launcher": "^4.0.11",
    "@jupyterlab/launcher-extension": "^4.0.11",
    "@jupyterlab/logconsole": "^4.0.11",
    "@jupyterlab/logconsole-extension": "^4.0.11",
    "@jupyterlab/lsp": "^4.0.11",
    "@jupyterlab/lsp-extension": "^4.0.11",
    "@jupyterlab/mainmenu": "^4.0.11",
    "@jupyterlab/mainmenu-extension": "^4.0.11",
    "@jupyterlab/markdownviewer": "^4.0.11",
    "@jupyterlab/markdownviewer-extension": "^4.0.11",
    "@jupyterlab/markedparser-extension": "^4.0.11",
    "@jupyterlab/mathjax-extension": "^4.0.11",
    "@jupyterlab/metadataform": "^4.0.11",
    "@jupyterlab/metadataform-extension": "^4.0.11",
    "@jupyterlab/nbconvert-css": "^4.0.11",
    "@jupyterlab/nbformat": "^4.0.11",
    "@jupyterlab/notebook": "^4.0.11",
    "@jupyterlab/notebook-extension": "^4.0.11",
    "@jupyterlab/observables": "^5.0.11",
    "@jupyterlab/outputarea": "^4.0.11",
    "@jupyterlab/pdf-extension": "^4.0.11",
    "@jupyterlab/property-inspector": "^4.0.11",
    "@jupyterlab/rendermime": "^4.0.11",
    "@jupyterlab/rendermime-extension": "^4.0.11",
    "@jupyterlab/rendermime-interfaces": "^3.8.11",
    "@jupyterlab/running": "^4.0.11",
    "@jupyterlab/running-extension": "^4.0.11",
    "@jupyterlab/services": "^7.0.11",
    "@jupyterlab/settingeditor": "^4.0.11",
    "@jupyterlab/settingeditor-extension": "^4.0.11",
    "@jupyterlab/settingregistry": "^4.0.11",
    "@jupyterlab/shortcuts-extension": "^4.0.11",
    "@jupyterlab/statedb": "^4.0.11",
    "@jupyterlab/statusbar": "^4.0.11",
    "@jupyterlab/statusbar-extension": "^4.0.11",
    "@jupyterlab/terminal": "^4.0.11",
    "@jupyterlab/terminal-extension": "^4.0.11",
    "@jupyterlab/theme-dark-extension": "^4.0.11",
    "@jupyterlab/theme-light-extension": "^4.0.11",
    "@jupyterlab/toc": "^6.0.11",
    "@jupyterlab/toc-extension": "^6.0.11",
    "@jupyterlab/tooltip": "^4.0.11",
    "@jupyterlab/tooltip-extension": "^4.0.11",
    "@jupyterlab/translation": "^4.0.11",
    "@jupyterlab/translation-extension": "^4.0.11",
    "@jupyterlab/ui-components": "^4.0.11",
    "@jupyterlab/ui-components-extension": "^4.0.11",
    "@jupyterlab/vega5-extension": "^4.0.11"
  },
  "devDependencies": {
    "@jupyterlab/testing": "^4.0.11",
    "@types/jest": "^29.2.0",
    "fs-extra": "^10.1.0",
    "jest": "^29.2.0",
    "json-to-html": "~0.1.2",
    "rimraf": "~3.0.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  }
}
